package com.slodon.b2b2c.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * 省份数据
 */
public class ProvinceJson {

    /**
     * 默认省份编码
     */
    public static String defaultProvinceCode = "CN999999999";
    public static String defaultProvinceName = "未知";
    /**
     * 全部省份 key-provinceCode  value-provinceName
     */
    public static Map<String, String> provinceMap = new HashMap<>();
    /**
     * 全部省份 key-provinceName  value-provinceCode
     */
    public static Map<String, String> provinceMap2 = new HashMap<>();

    static {
        provinceMap.put("CN003000000", "北京");
        provinceMap.put("CN028000000", "天津");
        provinceMap.put("CN010000000", "河北");
        provinceMap.put("CN024000000", "山西");
        provinceMap.put("CN019000000", "内蒙古");
        provinceMap.put("CN018000000", "辽宁");
        provinceMap.put("CN017000000", "吉林");
        provinceMap.put("CN011000000", "黑龙江");
        provinceMap.put("CN023000000", "上海");
        provinceMap.put("CN015000000", "江苏");
        provinceMap.put("CN033000000", "浙江");
        provinceMap.put("CN001000000", "安徽");
        provinceMap.put("CN004000000", "福建");
        provinceMap.put("CN016000000", "江西");
        provinceMap.put("CN022000000", "山东");
        provinceMap.put("CN012000000", "河南");
        provinceMap.put("CN013000000", "湖北");
        provinceMap.put("CN014000000", "湖南");
        provinceMap.put("CN006000000", "广东");
        provinceMap.put("CN007000000", "广西");
        provinceMap.put("CN009000000", "海南");
        provinceMap.put("CN034000000", "重庆");
        provinceMap.put("CN026000000", "四川");
        provinceMap.put("CN008000000", "贵州");
        provinceMap.put("CN032000000", "云南");
        provinceMap.put("CN031000000", "西藏");
        provinceMap.put("CN025000000", "陕西");
        provinceMap.put("CN005000000", "甘肃");
        provinceMap.put("CN021000000", "青海");
        provinceMap.put("CN020000000", "宁夏");
        provinceMap.put("CN030000000", "新疆");
        provinceMap.put("CN027000000", "台湾");
        provinceMap.put("CN029000000", "香港");
        provinceMap.put("CN002000000", "澳门");
        provinceMap.put("CN999999999", "未知");

        provinceMap.forEach((code, name) -> provinceMap2.put(name, code));
    }
}
